## org.gnu.gtk
Class WindowPosition

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.WindowPosition

public class WindowPosition
extends Enum

This class can influence the placement of a window. Note that only `CENTER_ALWAYS` will affect the window placement once the window is visible.

Field Summary
`static WindowPosition` `CENTER` Windows should be placed in the center of the screen.
`static WindowPosition` `CENTER_ALWAYS` Keep windows centered as it changes size.
`static WindowPosition` `CENTER_ON_PARENT` Center the window on its transient parent.
`static WindowPosition` `MOUSE` Windows should be placed at the current mouse position.
`static WindowPosition` `NONE` No influence is made on placement.

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`WindowPosition` `and(WindowPosition other)`
`static WindowPosition` `intern(int value)`
`WindowPosition` `or(WindowPosition other)`
`boolean` `test(WindowPosition other)`
`WindowPosition` `xor(WindowPosition other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final WindowPosition NONE

  No influence is made on placement.

### CENTER

    public static final WindowPosition CENTER

  Windows should be placed in the center of the screen.

### MOUSE

    public static final WindowPosition MOUSE

  Windows should be placed at the current mouse position.

### CENTER_ALWAYS

    public static final WindowPosition CENTER_ALWAYS

  Keep windows centered as it changes size. This will move the window if it is applied to a visible window.

### CENTER_ON_PARENT

    public static final WindowPosition CENTER_ON_PARENT

  Center the window on its transient parent.

Method Detail

### intern

    public static WindowPosition intern(int value)

### or

    public WindowPosition or(WindowPosition other)

### and

    public WindowPosition and(WindowPosition other)

### xor

    public WindowPosition xor(WindowPosition other)

### test

    public boolean test(WindowPosition other)